<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
	'slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);
$wp_customize->add_setting(
	'slider_section_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'slider_section_show_content',
		array(
			'settings'      => 'slider_section_show_content',
			'section'       => 'slider_section',
			'label'         => __( 'Hide Title and Button on Slider', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'Luzuk' ),
				'off' => __( 'Yes', 'Luzuk' )
			),
		)
	)
);
$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'slider_section_lbl',
		array(
			'settings'		=> 'slider_section_lbl',
			'section'		=> 'slider_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'The Page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Recommended Image Size: 1500X768', 'Luzuk' ),
		)
	)
);

lzCustomLable($wp_customize, 'luzuk_sliderotherclrs', 'slider_section', 'Slider Colors:');



lzCustomLable($wp_customize, 'slider_section_overlayop', 'slider_section', 'Section Box Overlay & Opacity settings:');

$wp_customize->add_setting(
'mainslider_overlay_color', array(
'default' => '#fff',
'sanitize_callback' => 'sanitize_hex_color',
)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'mainslider_overlay_color',array(
'settings' => 'mainslider_overlay_color',
'section' => 'slider_section',
'label' => __( 'Apply Overlay Color', 'Luzuk' ),
'description' => __( 'The color used for the overlay in the banner.', 'luzuk-premium' ),
)
)
);

$wp_customize->add_setting(
'cover_mainslider_template_overlay_opacity',
array(
'default' => 65,
'sanitize_callback' => 'absint',
'transport' => 'postMessage',
)
);

$wp_customize->add_control(
'cover_mainslider_template_overlay_opacity',
array(
'label' => __( 'Overlay Opacity', 'luzuk-premium' ),
'description' => __( 'Make sure that the contrast is high enough so that the text is readable.', 'luzuk-premium' ),
'section' => 'slider_section',
'type' => 'range',
'input_attrs' => luzuk_customize_opacity_range(),
)
);

$wp_customize->selective_refresh->add_partial(
'cover_mainslider_template_overlay_opacity',
array(
'selector' => '.cover-color-overlay',
'type' => 'cover_opacity',
)
);

///addColorPalatOption($wp_customize, 'slider_contentboxColor', 'slider_section', 'Slider Content Box Background Color', '#fff');

addColorPalatOption($wp_customize, 'slider_cimgbrdColor', 'slider_section', 'Slider Image Border Color', '#fff');

addColorPalatOption($wp_customize, 'slider_contentbrdColor', 'slider_section', 'Slider Content Box Border Color', '#fff');

addColorPalatOption($wp_customize, 'slider_titleColor', 'slider_section', 'Slider Title Color', '#000');

addColorPalatOption($wp_customize, 'slider_textColor', 'slider_section', 'Slider Text Color', '#4d4e4f');

addColorPalatOption($wp_customize, 'slider_ButtontextColor', 'slider_section', 'Slider Button Text Color', '#030406');

addColorPalatOption($wp_customize, 'slider_ButtontexthvClr', 'slider_section', 'Slider Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_ButtonbrdClr', 'slider_section', 'Slider Button Border Color', '#000');

addColorPalatOption($wp_customize, 'slider_ButtonbgColor', 'slider_section', 'Slider Button Background Color', '#fff');

addColorPalatOption($wp_customize, 'slider_ButtonbghoverColor', 'slider_section', 'Slider Button Background Hover Color', '#f27968');


lzCustomLable($wp_customize, 'luzuk_sliderarrowclrs', 'slider_section', 'Slider Arrow Button Color:');

addColorPalatOption($wp_customize, 'slider_arrowbrdClr', 'slider_section', 'Slider Arrow Border Color', '#fff');

addColorPalatOption($wp_customize, 'slider_arrowbrdhvClr', 'slider_section', 'Slider Arrow Border Hover Color', '#000');

?>